
Redmine - Defect #4953

"In the past N days" filter displays N+1 days

2010-03-01 10:26 - Giuliano  Simoncelli

Status: Confirmed Start date: 2010-03-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.1

Description

Go in /time_entries/report (all projects)

Select "Last 7 days"

Select "days" in details, add something, the report shows and sums 8 days.

Related issues:

Related to Redmine - Defect #5329: Time entries report broken on first week o... Closed 2010-04-15

History

#1 - 2010-03-30 15:10 - Yuki Kita

- File timelog_controller.rb.diff added

Confirmed

And I noticed that "Last 30 days" filter displays 31 days.

Here is the patch.

#2 - 2013-01-14 14:21 - Daniel Felix

- File timelog_criteria.png added

- Status changed from New to Confirmed

- Affected version (unused) changed from 0.9.2 to 2.2.1

- Affected version changed from 0.9.2 to 2.2.1

The patch won't apply cleanly, as the corresponding code is completly rewritten.

But I'm stil able to reproduce this (see attachment).

#3 - 2013-02-14 08:35 - mcfedr mcfedr

- File Screen Shot 2013-02-13 at 18.21.25.png added

Noticed this same problem on the latest redmine - It was telling me i have worked 48 hours in the last week!

#4 - 2016-12-23 10:26 - Go MAEDA

- File spent-time-filter-r16111.png added

- Subject changed from In project report "Last 7 days" filter displays 8 days to "In the past N days" filter displays N+1 days

"In the past N days" filter in Current trunk (r16111) has the same behavior.

Not only spent time filter but also issues filter has the same behavior.
https://www.redmine.org/projects/redmine/repository/svn/revisions/16111


Files

timelog_controller.rb.diff 1.34 KB 2010-03-30 Yuki Kita

timelog_criteria.png 49.3 KB 2013-01-14 Daniel Felix

Screen Shot 2013-02-13 at 18.21.25.png 42.5 KB 2013-02-14 mcfedr mcfedr

spent-time-filter-r16111.png 78.3 KB 2016-12-23 Go MAEDA
